## libgnatcoll 1.6gpl2014

=== Makefile ===
.PHONY: all examples test clean docs install generate_sources do_links static relocatable shared

## Put this first so that it is the default make target
all:

include Makefile.conf

ifeq (${BUILDS_SHARED},yes)
# Additional targets. Builds relocatble first so that the tools are
# preferably linked statically.
all: relocatable static
else
all: static
endif

include Makefile.gnat

## Builds explicitly the shared or the static libraries

static: build_library_type/static
shared relocatable: build_library_type/relocatable

# Build either type of library. The argument (%) is the type of library to build

build_library_type/%: generate_sources do_links
	@echo "====== Building $(@F) libraries ======"
	${GPRBUILD} -m -j${PROCESSORS} -XLIBRARY_TYPE=$(@F) -Pgnatcoll_build -p

	@# Need to build libgnatcoll_gtk separately, because its project files
	@# requires gtkada.gpr, which might not exist on the machine.
ifeq (${WITH_GTK},yes)
	${GPRBUILD} -m -j${PROCESSORS} -XLIBRARY_TYPE=$(@F) -Psrc/gnatcoll_gtk -p
endif

	@# Build the tools (the list is the project's Main attribute)
	@# They are not build as part of the above because only the Main from
	@# gnatcoll_build.gpr are build. We could use aggregate projects to speed
	@# things up.
	${GPRBUILD} -q -m -j${PROCESSORS} -XLIBRARY_TYPE=$(@F) -Psrc/gnatcoll_tools

# Regenerate part of the sources. Unfortunately, this can be run only after
# we have build GNATCOLL, and then its tools, even though GNATCOLL itself
# relies on those generated sources.
# So this target simply does nothing if gnatcoll_db2ada is not found, in which
# case we use the checked in sources (which means that changing the dbschema
# requires to have already build GNATCOLL once before)

generate_sources:
	-@if [ -f src/obj/gnatcoll_db2ada${EXE} ]; then \
	   src/obj/gnatcoll_db2ada${EXE} -dbtype=sqlite -dbname=:memory: \
		-output src/generated \
		-dbmodel=src/dbschema.txt \
		-createdb \
		-adacreate \
		-api GNATCOLL.Xref.Database \
		-load=src/initialdata.txt \
		-enum "f2f_kind,id,name,F2F_,Integer" \
		-enum "e2e_kind,id,name,E2E_,Integer"; \
	   for f in src/generated/*.ad?; do \
	      tr -d '\r' < $$f > $$f.tmp && mv $$f.tmp $$f; \
	   done; \
	fi

examples:
	${MAKE} -C examples all

## Create links for the gnat sources

do_links:
ifeq ($(GNAT_SOURCES),copy)
ifeq ($(OS),Windows_NT)
	-@$(foreach f,$(GNAT_SOURCES_FOR_GNATCOLL), \
	    $(CP) -f gnat_src/$(f) gnat >/dev/null 2>&1 ;)
else
	-@$(foreach f,$(GNAT_SOURCES_FOR_GNATCOLL), \
	   $(LN_S) -f ../gnat_src/$(f) gnat >/dev/null 2>&1 ;)
endif
	@(cd gnat && gnatmake -q xsnamest && ./xsnamest && mv snames.ns snames.ads && mv snames.nb snames.adb)
endif

## Only works after installation, so we should install to a local directory
## first, so as not to break the users's environment, but still test the
## actual installation process.
## However, we do not force a recompilation here for now, so that we can still
## run the tests on the current binaries, even if we are doing some modifs
## that are not yet compilable
test_names=

local_install: force
	@${MAKE} prefix=${shell pwd}/local_install install >/dev/null

test: local_install
	@${MAKE} test_names="${test_names}" -C testsuite

test_verbose: local_install
	@${MAKE} test_names="${test_names}" -C testsuite verbose

# Installs both static and shared libraries (if they were build)
# GNU standards say we must not recompile, for this target
install:
	${MKDIR} ${bindir}
	${MKDIR} ${DESTDIR}${prefix}/lib/gnat/${TARNAME}
	${MKDIR} ${datadir}/${TARNAME}
	${MKDIR} ${includedir}/${TARNAME}
	${CP} src/dborm.py ${datadir}/${TARNAME}/
	${CP} distrib/*.gpr ${DESTDIR}${prefix}/lib/gnat

	${MKDIR} ${datadir}/examples/${TARNAME}
	@# Do not want to copy .svn directories
	${CP} -rf examples/* ${datadir}/examples/${TARNAME}

	${MKDIR} ${datadir}/gps/support/core/gnatcoll
	${CP} distrib/gnatcoll/*py ${datadir}/gps/support/core/gnatcoll/

	${MKDIR} ${datadir}/doc/${TARNAME}/html
	-${CP} -r docs/_build/html/* ${datadir}/doc/${TARNAME}/html 2>/dev/null
	-${CP} docs/_build/latex/GNATColl.pdf ${datadir}/doc/${TARNAME}/gnatcoll.pdf 2>/dev/null

	${MKDIR} ${libdir}/${TARNAME}/static
ifeq (${BUILDS_SHARED},yes)
	${MKDIR} ${libdir}/${TARNAME}/relocatable
endif

	${MAKE} -C src -f Makefile.gnatcoll libinstall
	${MAKE} -C src -f Makefile.python libinstall
ifeq (${WITH_GTK},yes)
	${MAKE} -C src -f Makefile.gtk libinstall
endif
	${MAKE} -C src -f Makefile.iconv libinstall
	${MAKE} -C src -f Makefile.postgres libinstall
	${MAKE} -C src -f Makefile.sqlite libinstall
	${MAKE} -C src -f Makefile.readline libinstall
	${MAKE} -C src -f Makefile.tools installbin
ifeq (${WITH_GMP},yes)
	${MAKE} -C src -f Makefile.gmp libinstall
endif

## Clean either type of library, based on the value of (%)

clean_library/%:
	-gprclean -r -q -Pgnatcoll_build -XLIBRARY_TYPE=$(@F)
	@# Separate pass to also remove the Main
	-gprclean -r -q -Psrc/gnatcoll_tools -XLIBRARY_TYPE=$(@F)
ifeq (${WITH_GTK},yes)
	-gprclean -r -q -Psrc/gnatcoll_gtk -XLIBRARY_TYPE=$(@F)
endif

clean: clean_library/static clean_library/relocatable
	-${MAKE} -C testsuite $@
	-${MAKE} -C docs $@
	-${MAKE} -C examples $@

docs:
	${MAKE} -C docs html latexpdf

force:

=== testsuite/Makefile ===
test:
include ../Makefile.conf

# ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}${DIRSEP}../src
# LD_LIBRARY_PATH:=${prefix}/lib:${LD_LIBRARY_PATH}
# export ADA_PROJECT_PATH
# export LD_LIBRARY_PATH

test_names=

test:
	@python ./run.py ${test_names}

verbose:
	@python ./run.py -v -v ${test_names}

clean:

=== debian/changelog ===
libgnatcoll (1.6gpl2014-9) unstable; urgency=medium

  * patches/explicit-source-dirs-in-projects.diff closes: #802862.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 25 Oct 2015 19:34:08 +0100

libgnatcoll (1.6gpl2014-8) unstable; urgency=medium

  * Mix gnat-4.9 with gcc-4.9 instead of default gcc-5. Closes: #777946.
  * (XS-)Testsuite: now generated by dpkg-source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 Sep 2015 00:45:05 +0200

libgnatcoll (1.6gpl2014-7) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.
    Freeze the clock for deterministic PDF timestamps.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 17:31:48 +0200

libgnatcoll (1.6gpl2014-6) unstable; urgency=medium

  * Section: move source to misc and -dev to libdevel, as do ftpmasters.
  * Priority: raise run-time libraries and -bin to optional, to allow
    optional reverse dependencies (gnat-gps, asis-programs).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 23:14:53 +0200

libgnatcoll (1.6gpl2014-5) unstable; urgency=medium

  * Drop PostGreSQL support, which depends on OpenSSL and is thus
    incompatible with the GPL. Closes: #763284.
  * Standards-Version: 3.9.6 without changes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 04 Oct 2014 13:51:20 +0200

libgnatcoll (1.6gpl2014-4) unstable; urgency=medium

  * Link with pthread to circumvent compiler bug #760211.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Sep 2014 00:01:38 +0200

libgnatcoll (1.6gpl2014-3) unstable; urgency=medium

  * Break/Replace gnat-gps << 5.3-4, previous provider of gnatinspect.
  * copyright: explain why some headers contain the GPL-2+.
  * Let libgnatcoll-dev Depends: libgnatgpr-dev (via ada:Depends).
  * Drop redundant Build-Depends-Indep: sphinx-common.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Aug 2014 20:42:35 +0200

libgnatcoll (1.6gpl2014-2) unstable; urgency=medium

  * Build-Depend: sphinx-common. dh_sphinxdoc is needed during -arch rebuilds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 14 Aug 2014 06:29:11 +0200

libgnatcoll (1.6gpl2014-1) unstable; urgency=medium

  * Initial packaging. Closes: #757309.
    GPL 2014 is between 1.6 and 1.7 commercial releases.
    Upstream archive is repackaged without minified javascript.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 Aug 2014 03:35:11 +0200

=== debian/control ===
Source: libgnatcoll
Priority: extra
Section: misc
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 autoconf, autotools-dev,
# Rules regenerate all the configure stuff.
 gnat, gnat-4.9, libgnatprj4.9-dev, libgnatvsn4.9-dev,
 dh-ada-library,
# gprbuild >= 2014dfsg-2 allows to select an explicit gcc-x.y.
 gprbuild (>= 2014dfsg-2),
 libgmp-dev,
 libgtkada2.24.4-dev, pkg-config, python-gtk2-dev,
 libpython-dev,
 libreadline-dev,
 libsqlite3-dev,
# dh_sphinxdoc
 sphinx-common
Build-Depends-Indep:
# Called in rules for deterministic PDF timestamps.
 faketime,
# Formatting
 python-sphinx,
 texlive-fonts-recommended,
 texlive-latex-extra
Homepage: http://libre.adacore.com/libre/tools
Standards-Version: 3.9.6
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgnatcoll
Vcs-Mtn: www.ada-france.org org.debian.libgnatcoll

Package: libgnatcoll1.6-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications.

Package: libgnatcoll-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: GNATColl, general purpose Ada library (documentation)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the documentation in text, PDF and HTML.

Package: libgnatcoll1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library.

Package: libgnatcoll-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for the shared
 library.

######################################################################

Package: libgnatcoll-python1.6-dev
Section: libdevel
Architecture: any
Depends: libpython-dev, ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (Python)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 adding Python as scripting language.

Package: libgnatcoll-python1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (Python runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for Python
 scripting.

Package: libgnatcoll-python-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (Python debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for Python
 scripting.

######################################################################

Package: libgnatcoll-iconv1.6-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (iconv)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the Iconv C library.

Package: libgnatcoll-iconv1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (iconv runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the iconv
 binding.

Package: libgnatcoll-iconv-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (iconv debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for the iconv
 binding.

######################################################################

Package: libgnatcoll-sqlite1.6-dev
Section: libdevel
Architecture: any
Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQLite)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 dedicated to SQLite databases manipulation.

Package: libgnatcoll-sqlite1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (sqlite runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the SQLite
 extension.

Package: libgnatcoll-sqlite-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (SQLite debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for the SQLite
 extension.

Package: libgnatcoll-sqlite-bin
Section: devel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# gnat-gps used to provide gnatinspect.
Breaks: gnat-gps (<< 5.3-4)
Replaces: gnat-gps (<< 5.3-4)
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQLite tools)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the tools dedicated to SQLite database
 manipulation (gnatcoll_db2ada and gnatinspect).

######################################################################

Package: libgnatcoll-readline1.6-dev
Section: libdevel
Architecture: any
Depends: libreadline-dev, ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (readline)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with GNU readline and history libraries.

Package: libgnatcoll-readline1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (readline runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the readline
 binding.

Package: libgnatcoll-readline-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (readline debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for the readline
 binding.

######################################################################

Package: libgnatcoll-gmp1.6-dev
Section: libdevel
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Build script for GNATColl in Debian.
# Copyright (c) 2014-2015 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
# USA

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging.mk

DEB_DATE := $(shell dpkg-parsechangelog -S date)

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
 build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library --with sphinxdoc

# Move some files out of the way to ensure that they're not used.
BACKED_UP := \
 src/gnatcoll-io-native-codec__win32.adb \
 src/gnatcoll-mmap-system__win32.adb \
 src/gnatcoll-mmap-system__win32.ads
# Build-Depends: libgnatprj-dev libgnatvsn-dev
# gnat/ must stay because configure generates sdefaults.
BACKED_UP += src/gnatcoll__copy.gpr
# Iconv is provided by libc.
BACKED_UP += src/iconv/no_iconv
# Build-Depends: libpython-dev.
BACKED_UP += src/gtk/nopython src/nopython
# Build-Depends: libc6-dev.
BACKED_UP += src/nosyslog
# libpq-dev depends on OpenSSL, which is incompatible with the GPL.
BACKED_UP += src/postgres/with_postgres
# Build-Depends: libreadline-dev.
BACKED_UP += src/readline/no_readline
# Build-Depends: libsqlite3-dev and --with-sqlite configure option
BACKED_UP += src/sqlite/amalgamation src/sqlite/no_sqlite
# We want to use libtemplates-parser, but GPL 2014 hardcodes does not
# support it yet. See gnatcoll_shared.gpr.
BACKED_UP += src/tools/templates
# This executable depends on gnatcoll-sqlite and can regenerate
# src/generated/*. See Makefile/generate-sources. The generated
# sources are short, and I cannot see a way to bootstrap.
# BACKED_UP += src/tools/gnatcoll_db2ada.adb

# Build-Depends: autotools-dev
BACKED_UP += config.guess config.sub
config.guess.backup: replace := ln -s /usr/share/misc/config.guess
config.sub.backup  : replace := ln -s /usr/share/misc/config.sub

# Build-Depends: autoconf
BACKED_UP += configure
configure.backup: replace := autoconf

# Unused, but configure insists on seeing it.
BACKED_UP += install-sh
install-sh.backup: replace := touch install-sh

# Patch version number for documentation.
BACKED_UP += configure.in
configure.backup: configure.in.backup
configure.in.backup: replace := sed -e 2s/\d\.\dw/$(DEB_VERSION_UPSTREAM)/ configure.in.backup > configure.in

# If the original file were a prerequisite, Make would update the
# backup after the original file is replaced.
$(addsuffix .backup,$(BACKED_UP)): %.backup:
	mv $* $@
	$(replace)

# aclocal.m4 insists on passing -Lfoo/lib to the linker with
# --with-sqlite=foo.  This adds a faulty path, but the linker finds
# sqlite in the default location nevertheless.
configure-stamp: $(addsuffix .backup,$(BACKED_UP))
	dh_auto_configure -- --enable-gpl --enable-shared \
          --without-postgresql \
          --with-sqlite=/usr/include
	touch $@

# Ignore upstream build system.
.PHONY: $(addprefix override_dh_auto_, \
 configure build-arch build-indep test install clean)

override_dh_auto_configure: configure-stamp

# patches/inherit_compilation_options.diff
BUILDER_OPTIONS += $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS,"-X$(v)=$($(v))")
# patches/inherit_library_versions.diff
# This sed script constructs a -X option for every library package.
BUILDER_OPTIONS += $(shell sed debian/control -ne ' \
  /^Package: lib\([a-z-]\+\)\([0-9.]\+\(gpl[0-9]\{4\}\)\?\)$$/ { \
    s//\U\1\E_VERSION=\2/; \
    y/-/_/; \
    s/^/-X/; \
    p}')
# Makefile says:
# # Builds relocatble first so that the tools are preferably linked statically.
# all: relocatable static
# We want the contrary.
override_dh_auto_build-arch:
 # Ensure deterministic timestamps in ALI files.
	find . -depth \( -name "*.ad[bs]" -o -name "*.[hc]" \) \
	  -a -newermt '$(DEB_DATE)' -print0 | \
	  xargs -0r touch --no-dereference --date='$(DEB_DATE)'
	$(MAKE) static relocatable 'GPRBUILD_OPTIONS=$(BUILDER_OPTIONS)'

# Tell gprbuild to use gnatgcc instead of default gcc.
GPRBUILD_CONFIGURATION := default.cgpr
override_dh_auto_build-arch: $(GPRBUILD_CONFIGURATION)
$(GPRBUILD_CONFIGURATION):
	gprconfig --batch --config Ada --config C,,,,gnatgcc
override_dh_auto_clean::
	rm -f $(GPRBUILD_CONFIGURATION)

# Upstream docs target does not generate text output.

# Freeze the clock for deterministic PDF timestamps. The faketime API
# does not allow an explicit time zone, introducing an implicit
# dependency on its local value.
DEB_DATE_FAKETIME := $(shell date "+%F %T" -d "$(DEB_DATE)")
override_dh_auto_build-indep:
# Freeze the clock for deterministic PDF timestamps.
	faketime -f "$(DEB_DATE_FAKETIME)" \
	$(MAKE) -C docs html latexpdf text SPHINXOPTS=-j$(BUILDER_JOBS)

# Configure, so that we can assume *.backup and Makefiles exist.
override_dh_auto_clean:: configure-stamp
	dh_auto_clean -- GPRCLEAN_OPTIONS=

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean --exclude=testsuite/xref/F516-004/default.gpr.orig
 # Remove backed up directories so that mv below has the wanted effect.
	for f in $(BACKED_UP); do \
          if test -e $$f.backup; then \
            rm -fr $$f && mv $$f.backup $$f; \
          fi; \
        done

# Check dependencies across -dev packages (or generated projects)
# after any change in the structure of upstream projects.
.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library $(shell sed debian/control -ne ' \
          /^Package: lib\([a-z-]\+\)[0-9.]\+\(gpl[0-9]\{4\}\)\?-dev$$/ { \
            s~~src/\1.gpr~; \
            y/-/_/; \
            p}')

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=libgnatcoll-doc --exclude=.adb --exclude=.ads
	dh_compress --remaining-packages

=== debian/watch ===
# Upstream uses a complicated website making hard to automatically find new
# versions of GNATColl. See debian/copyright for the URL.

## libgnatcoll 1.7gpl2015

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,16 @@
 examples:
 	${MAKE} -C examples all
 
+SQLITE_DIR=src/sqlite/amalgamation
+sqlite3_shell: $(SQLITE_DIR)/sqlite3_for_gps
+$(SQLITE_DIR)/sqlite3_for_gps: $(SQLITE_DIR)/shell.c $(SQLITE_DIR)/sqlite3.c
+ifeq ($(OS),Windows_NT)
+	-cd $(SQLITE_DIR); gcc -O2 -DSQLITE_OMIT_LOAD_EXTENSION -D__EXTENSIONS__ -o sqlite3_for_gps shell.c sqlite3.c
+else
+	# If we fail to compile, never mind. Some tests will simply be disabled
+	-cd $(SQLITE_DIR); gcc -O2 -DSQLITE_OMIT_LOAD_EXTENSION -D__EXTENSIONS__ -o sqlite3_for_gps shell.c sqlite3.c -lpthread -ldl
+endif
+
 ## Create links for the gnat sources
 
 do_links:
@@ -89,7 +99,7 @@
 local_install: force
 	@${MAKE} prefix=${shell pwd}/local_install install >/dev/null
 
-test: local_install
+test: sqlite3_shell local_install
 	@${MAKE} test_names="${test_names}" -C testsuite
 
 test_verbose: local_install

=== debian/changelog ===
libgnatcoll (1.7gpl2015-2) unstable; urgency=medium

  * Revert to python2 as long as most startup scripts in the gnat-gps
    reverse dependency are incompatible with python3. Reopens: #760004.
  * Build-Depend: texlive-generic-extra for iftex.sty. Closes: #830334.
  * Ensure that ./configure and gprbuild use gnatgcc instead of gcc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Jul 2016 08:05:19 +0200

libgnatcoll (1.7gpl2015-1) unstable; urgency=medium

  * Build with gnat-6 and gprbuild >= 2015-2. Upload to unstable.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Enable all hardening options, but PIE because we build a shared library.
  * Move sphinx-common to Build-Depends-Indep.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 10:06:03 +0200

libgnatcoll (1.7gpl2015-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Build-Depend gnat-5, rename library and -dev packages per Ada policy.
  * watch: use Adacore uscan redirector.
  * copyright: since Files-Excluded is mandatory for minified javascript,
    also remove generated, copied or unused sources.
  * Transmit -a/-i options to dh-ada-library. Closes: #806628.
  * Select python3 instead of 2. Closes: #760004.
  * Set build flags from ./configure instead of gprbuild.
    Let gprbuild select the right gcc version to mix with Ada.
    Configure only once during arch & indep builds.
  * generate-sources-timestamp.diff: update timestamp only if contents
    changed (for reproducible builds).
  * Standards-Version: 3.9.7.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Feb 2016 14:34:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,34 @@
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
  autoconf, autotools-dev,
 # Rules regenerate all the configure stuff.
- gnat, gnat-4.9, libgnatprj4.9-dev, libgnatvsn4.9-dev,
- dh-ada-library,
-# gprbuild >= 2014dfsg-2 allows to select an explicit gcc-x.y.
- gprbuild (>= 2014dfsg-2),
+ gnat, gnat-6, libgnatprj6-dev, libgnatvsn6-dev,
+# dh-ada-library knowing that -dbg packages are obsolete.
+ dh-ada-library (>= 6.7),
+# gprbuild compatible with gnat-6
+ gprbuild (>= 2015-2),
+# Implicit libc6-dev provides: iconv, syslog.
  libgmp-dev,
- libgtkada2.24.4-dev, pkg-config, python-gtk2-dev,
- libpython-dev,
+ libgtkada3.8.3-dev, pkg-config, python-gi-dev,
+ python-dev, libpython-dev,
  libreadline-dev,
- libsqlite3-dev,
-# dh_sphinxdoc
- sphinx-common
+ libsqlite3-dev
 Build-Depends-Indep:
 # Called in rules for deterministic PDF timestamps.
  faketime,
-# Formatting
+# Formatting (python3-sphinx is experimental)
  python-sphinx,
  texlive-fonts-recommended,
+# sphinx-doc requires iftex.sty:
+ texlive-generic-extra,
  texlive-latex-extra
+# dh_sphinxdoc
+ ,sphinx-common
 Homepage: http://libre.adacore.com/libre/tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgnatcoll
 Vcs-Mtn: www.ada-france.org org.debian.libgnatcoll
 
-Package: libgnatcoll1.6-dev
+Package: libgnatcoll1.7-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -56,7 +60,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libgnatcoll1.6
+Package: libgnatcoll1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -72,26 +76,9 @@
  .
  This package contains the runtime shared library.
 
-Package: libgnatcoll-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for the shared
- library.
-
-######################################################################
-
-Package: libgnatcoll-python1.6-dev
+######################################################################
+
+Package: libgnatcoll-python1.7-dev
 Section: libdevel
 Architecture: any
 Depends: libpython-dev, ${misc:Depends}, ${ada:Depends}
@@ -106,7 +93,7 @@
  This package contains the static library and Ada specifications
  adding Python as scripting language.
 
-Package: libgnatcoll-python1.6
+Package: libgnatcoll-python1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -123,26 +110,9 @@
  This package contains the runtime shared library for Python
  scripting.
 
-Package: libgnatcoll-python-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (Python debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for Python
- scripting.
-
-######################################################################
-
-Package: libgnatcoll-iconv1.6-dev
+######################################################################
+
+Package: libgnatcoll-iconv1.7-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -157,7 +127,7 @@
  This package contains the static library and Ada specifications
  for the binding with the Iconv C library.
 
-Package: libgnatcoll-iconv1.6
+Package: libgnatcoll-iconv1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -174,26 +144,9 @@
  This package contains the runtime shared library for the iconv
  binding.
 
-Package: libgnatcoll-iconv-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (iconv debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for the iconv
- binding.
-
-######################################################################
-
-Package: libgnatcoll-sqlite1.6-dev
+######################################################################
+
+Package: libgnatcoll-sqlite1.7-dev
 Section: libdevel
 Architecture: any
 Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
@@ -208,7 +161,7 @@
  This package contains the static library and Ada specifications
  dedicated to SQLite databases manipulation.
 
-Package: libgnatcoll-sqlite1.6
+Package: libgnatcoll-sqlite1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -223,23 +176,6 @@
  distributed in separate packages.
  .
  This package contains the runtime shared library for the SQLite
- extension.
-
-Package: libgnatcoll-sqlite-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (SQLite debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for the SQLite
  extension.
 
 Package: libgnatcoll-sqlite-bin
@@ -263,7 +199,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-readline1.6-dev
+Package: libgnatcoll-readline1.7-dev
 Section: libdevel
 Architecture: any
 Depends: libreadline-dev, ${misc:Depends}, ${ada:Depends}
@@ -278,7 +214,7 @@
  This package contains the static library and Ada specifications
  for the binding with GNU readline and history libraries.
 
-Package: libgnatcoll-readline1.6
+Package: libgnatcoll-readline1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -295,25 +231,69 @@
  This package contains the runtime shared library for the readline
  binding.
 
-Package: libgnatcoll-readline-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (readline debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for the readline
- binding.
-
-######################################################################
-
-Package: libgnatcoll-gmp1.6-dev
-Section: libdevel
-Architecture: any
+######################################################################
+
+Package: libgnatcoll-gmp1.7-dev
+Section: libdevel
+Architecture: any
+Depends: libgmp-dev, ${misc:Depends}, ${ada:Depends}
+Recommends: libgnatcoll-doc
+Description: GNATColl, general purpose Ada library (GMP)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ for the binding with the GNU Multiprecision arithmetic C library.
+
+Package: libgnatcoll-gmp1.7
+Section: libs
+Priority: optional
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: GNATColl, general purpose Ada library (GMP runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for the GMP binding.
+
+######################################################################
+
+Package: libgnatcoll-gtk1.7-dev
+Section: libdevel
+Architecture: any
+Depends: python-gi-dev, ${misc:Depends}, ${ada:Depends}
+Recommends: libgnatcoll-doc
+Description: GNATColl, general purpose Ada library (GTKAda)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ for the GTKAda extension.
+
+Package: libgnatcoll-gtk1.7
+Section: libs
+Priority: optional
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: GNATColl, general purpose Ada library (GTKAda runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for the GTKAda
+ extension.

=== debian/rules ===
#!/usr/bin/make -f
# Build script for GNATColl in Debian.
# Copyright (c) 2014-2016 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
# USA

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
# PIE should only affect the static library.
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging*.mk

DEB_DATE := $(shell dpkg-parsechangelog -S date)

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
 build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library

configure-stamp: config.guess config.sub configure install-sh
# Build-Depends: autotools-dev
config.guess config.sub:
	ln -s /usr/share/misc/$@
# Build-Depends: autoconf
configure: configure.in.bak
	autoconf
# Unused, but configure insists on seeing it.
install-sh:
	touch install-sh
# Patch version number for documentation.
configure.in.bak:
	mv configure.in $@
	sed '2s/,[^,]*/,$(DEB_VERSION_UPSTREAM)/' $@ > configure.in
override_dh_auto_clean::
	rm -f config.guess config.sub configure install-sh
	if test -f configure.in.bak; then \
	  mv -f configure.in.bak configure.in; \
	fi

configure-stamp:
	dh_auto_configure -- --enable-gpl --enable-shared \
	  $(foreach v,ADAFLAGS CC CFLAGS CPPFLAGS LDFLAGS,"$(v)=$($(v))") \
	  --without-postgresql \
	  --with-sqlite=/usr/include/$(DEB_HOST_MULTIARCH)
	touch $@

# Ignore upstream build system.
.PHONY: $(addprefix override_dh_auto_, \
 configure build-arch build-indep test install clean)

override_dh_auto_configure: configure-stamp

override_dh_auto_configure: auto.cgpr
auto.cgpr:
	gprconfig --config=Ada --config=C,,,,gnatgcc
override_dh_auto_clean::
	rm -f auto.cgpr

# patches/inherit_library_versions.diff
# This sed script constructs a -X option for every library package.
BUILDER_OPTIONS += $(shell sed debian/control -ne ' \
  /^Package: lib\([a-z-]\+\)\([0-9.]\+\(gpl[0-9]\{4\}\)\?\)$$/ { \
    s//\U\1\E_VERSION=\2/; \
    y/-/_/; \
    s/^/-X/; \
    p}')
override_dh_auto_build-arch:
 # Ensure deterministic timestamps in ALI files.
	find . -depth \( -name "*.ad[bs]" -o -name "*.[hc]" \) \
	  -a -newermt '$(DEB_DATE)' -print0 | \
	  xargs -0r touch --no-dereference --date='$(DEB_DATE)'
	$(MAKE) 'GPRBUILD_OPTIONS=$(BUILDER_OPTIONS)' \
	  build_library_type/static \
	  build_library_type/relocatable \
	  build_tools/relocatable

# Upstream docs target does not generate text output.

# Freeze the clock for deterministic PDF timestamps. The faketime API
# does not allow an explicit time zone, introducing an implicit
# dependency on its local value.
DEB_DATE_FAKETIME := $(shell date "+%F %T" -d "$(DEB_DATE)")
override_dh_auto_build-indep:
# Freeze the clock for deterministic PDF timestamps.
	faketime -f "$(DEB_DATE_FAKETIME)" \
	$(MAKE) -C docs html latexpdf text SPHINXOPTS=-j$(BUILDER_JOBS)

# Default dh_auto_clean would test -f Makefile.
override_dh_auto_clean::
	if test -f Makefile.conf; then dh_auto_clean -- GPRCLEAN_OPTIONS=; fi

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean --exclude=testsuite/xref/F516-004/default.gpr.orig

# Check dependencies across -dev packages (or generated projects)
# after any change in the structure of upstream projects.
.PHONY: override_dh_ada_library-arch override_dh_ada_library-indep
override_dh_ada_library-arch:
	dh_ada_library --arch $(shell sed debian/control -ne ' \
          /^Package: lib\([a-z-]\+\)[0-9.]\+\(gpl[0-9]\{4\}\)\?-dev$$/ { \
            s~~src/\1.gpr~; \
            y/-/_/; \
            p}')

# Mimic 'dh --with sphinxdoc', but without adding sphinx-common to
# Build-Depends for arch-only builds.
.PHONY: override_dh_installdocs-indep
override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=libgnatcoll-doc --exclude=.adb --exclude=.ads
	dh_compress --remaining-packages

=== debian/watch ===
version=3
opts=filenamemangle=s/^.*download=//,dversionmangle=s/^.*\.// \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/gnatcoll \
.*gnatcoll-gpl-(\d{4})-src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Major and minor versions are set manually, see README.source.
